Name:           perl-Mail-DeliveryStatus-BounceParser
Version:        1.543
Release:        1%{?dist}
Summary:        Perl extension to analyze bounce messages

License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Mail-DeliveryStatus-BounceParser
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/Mail-DeliveryStatus-BounceParser-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Mail::Address)
BuildRequires:  perl(MIME::Tools)
BuildRequires:  perl(Test)
BuildRequires:  perl(Test::More)

%{?perl_default_filter}

%description
Mail::DeliveryStatus::BounceParser analyzes RFC822 bounce messages and
returns a structured description of the addresses that bounced and the
reason they bounced; it also returns information about the original
returned message including the Message-ID. It works best with RFC1892
delivery reports, but will gamely attempt to understand any bounce
message no matter what MTA generated it.

%prep
%setup -q -n Mail-DeliveryStatus-BounceParser-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Oct 01 2024 Jered Floyd <jered@redhat.com> - 1.543-1
- Package build for personal use
